#!/bin/sh
#
# source: http://www.freedesktop.org/software/startup-notification/releases/startup-notification-0.12.tar.gz
#
# maintainer: (package seek a maintainer
#

CWD=`pwd`
PKG=/tmp/package-startup-notification

VERSION=0.12
ARCH=i486
BUILD=72.1

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf startup-notification-$VERSION
tar xvzf $CWD/startup-notification-$VERSION.tar.gz
cd startup-notification-$VERSION
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" \
	./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var \
	$ARCH-slackware-linux
make
make install DESTDIR=$PKG

find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mkdir -p $PKG/usr/doc/startup-notification-$VERSION
cp -a AUTHORS ChangeLog COPYING NEWS $PKG/usr/doc/startup-notification-$VERSION

mkdir -p $PKG/install
cat << "EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                    |-----handy-ruler--------------------------------------------------------|
startup-notification: startup-notification - startup notification library
startup-notification:
startup-notification: startup-notification contains a reference implementation of the startup
startup-notification: notification protocol. The reference implementation is mostly under an
startup-notification:  Window System style license, and has no special dependencies
startup-notification:
startup-notification: This library does not yet make ABI guarantees, but may at some point
startup-notification: in the future.
startup-notification:
startup-notification:
startup-notification:
EOF

mkdir -p $PKG/usr/src/startup-notification-$VERSION/
cp $CWD/build-startup-notification.sh $PKG/usr/src/startup-notification-$VERSION/

cd $PKG
makepkg -l y -c n ../startup-notification-$VERSION-$ARCH-$BUILD.txz

cd ..
md5sum startup-notification-$VERSION-$ARCH-$BUILD.txz > startup-notification-$VERSION-$ARCH-$BUILD.md5